<%@ page language="java" contentType="text/html; charset=utf-8"%>
<%@ page import="java.io.*"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ include file="/jsp/common/include/localemessage.jsp" %>
<%
	response.setHeader("Pragma", "No-cache");
	response.setHeader("Cache-Control", "no-cache");
	response.setHeader("Expires", "0");
%>
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<jsp:include page="/jsp/common/include/css.jsp"/>
<jsp:include page="/jsp/common/include/script.jsp"/>
<script language="javascript" >
var url      = '<c:url value="/onl/admin/inflow/inflowControlHistoryMan.json" />';
var url_view = '<c:url value="/onl/admin/inflow/inflowControlHistoryMan.view" />';
var url_excel= '<c:url value="/onl/admin/inflow/inflowControlHistoryMan.excel"/>';

function timeStampFormat2(cellvalue, options, rowObject){
	if ( cellvalue.trim() == '' || cellvalue.length < 17 )
		return '';
	
	return cellvalue.substr(0,4) + '-' +
	       cellvalue.substr(4,2) + '-' +
	       cellvalue.substr(6,2) + ' ' +
	       cellvalue.substr(8,2) + ':' +
	       cellvalue.substr(10,2) + ':' +
	       cellvalue.substr(12,2) +  ' ' + cellvalue.substr(14,3);
	       
}

function groupNameFormat(cellvalue, options, rowObject) {
    if (!cellvalue) return "";

    var strVal = cellvalue.toString().trim();

    if (strVal.length === 36) {
    	// 그룹ID의 경우 GROUPNAME 으로 보여줌
        var groupName = rowObject.GROUPNAME; 
        
        // 비어있다면 원래 값을 반환
        return groupName ? groupName : strVal;
    }

    return strVal;
}

$(document).ready(function() {
	$("input[name=searchStartYYYYMMDD],input[name=searchEndYYYYMMDD]").inputmask("yyyy-mm-dd",{'autoUnmask':true});
	$("input[name=searchStartTime],input[name=searchEndTime]").inputmask("hh:mm:ss",{'autoUnmask':true});

	$("input[name=searchStartYYYYMMDD]").each(function(){
		if ($(this).val() == undefined || $(this).val() == null || $(this).val() == ""){
			$(this).val(getToday());
		}
	});

	$("input[name=searchEndYYYYMMDD]").each(function(){
		if ($(this).val() == undefined || $(this).val() == null || $(this).val() == ""){
			$(this).val(getToday());
		}
	});

	$("input[name=searchStartTime]").each(function(){
		if ($(this).val() == undefined || $(this).val() == null || $(this).val() == ""){
			$(this).val("000000");
		}
	});

	$("input[name=searchEndTime]").each(function(){
		if ($(this).val() == undefined || $(this).val() == null || $(this).val() == ""){
			$(this).val("235959");
		}
	});


    var gridPostData = getSearchForJqgrid("cmd","LIST"); //jqgrid에서는 object 로

    var start = $("input[name=searchStartYYYYMMDD]").val().replace(/-/gi,"");
	var end = $("input[name=searchEndYYYYMMDD]").val().replace(/-/gi,"");

	gridPostData["searchStartDate"] = start;
	gridPostData["searchEndDate"] = end;
	
    
	$('#grid').jqGrid({
		datatype:"json",
		mtype: 'POST',
		url: url,
		postData : gridPostData,
		colNames:['<%= localeMessage.getString("infConHstMan.bizClaCd") %>',
                  '<%= localeMessage.getString("infConHstMan.dateandTm") %>',
                  '<%= localeMessage.getString("infConHstMan.eaiSvcSrlNum") %>',
                  '<%= localeMessage.getString("infConHstMan.instNm") %>',
                  '<%= localeMessage.getString("infConHstMan.eaiSvcCd") %>',
                  '그룹별 / <%= localeMessage.getString("infConHstMan.adpGrpNm") %>',
                  '<%= localeMessage.getString("infAdpConMan.thrPerSecond") %>',
                  '<%= localeMessage.getString("infAdpConMan.thr") %>',
                  '<%= localeMessage.getString("infAdpConMan.thrTimeUnit") %>',
                  '그룹별'
                  ],
		colModel:[
				{ name : 'EAIBZWKDSTCD'       , width:'50' , align:'center' , sortable:false	},
				{ name : 'MSGDPSTYMS'         , width:'100', align:'center' , formatter: timeStampFormat2},
				{ name : 'EAISVCSERNO'        , width:'150', align:'left'   },
				{ name : 'EAISEVRINSTNCNAME'  , width:'50' , align:'center' },
				{ name : 'EAISVCNAME'         , width:'70' , align:'center' },
				{ name : 'ADPTRBZWKGROUPNAME' , width:'100' , align:'center'	, formatter: groupNameFormat },
				{ name : 'THRESHOLDPERSECOND' , width:'30' , align:'right'  },
				{ name : 'THRESHOLD' 		  , width:'30' , align:'right'  },
				{ name : 'THRESHOLDTIMEUNIT'  , width:'50' , align:'center'  },
				{ name : 'GROUPNAME'  , width:'70' , hidden:true  }
				],
        jsonReader: {
             repeatitems:false
        },	          
		pager : $('#pager'),
		page : '${param.page}',
		rowNum : '${rmsDefaultRowNum}',
	    autoheight: true,
	    height: $("#container").height(),
		autowidth: true,
		viewrecords: true,
		rowList : eval('[${rmsDefaultRowList}]'),
		ondblClickRow: function(rowId) {
        },
		loadComplete:function (d){
			var colModel = $(this).getGridParam("colModel");
			for(var i = 0 ; i< colModel.length; i++){
				$(this).setColProp(colModel[i].name, {sortable : false});	//그리드 헤더 화살표 삭제(정렬X)		
			}
		
		},
        loadError: function (jqXHR, textStatus, errorThrown) {
        	
        	var location ='<%=request.getContextPath()%>/';
        	comloadError(jqXHR, textStatus, errorThrown ,location);
        	
    	}	        
	});
	
	
	resizeJqGridWidth('grid','content_middle','1000');

	$("#btn_search").click(function(){
		var postData = getSearchForJqgrid("cmd","LIST"); //jqgrid에서는 object 로

		var start = $("input[name=searchStartYYYYMMDD]").val().replace(/-/gi,"");
		var end = $("input[name=searchEndYYYYMMDD]").val().replace(/-/gi,"");
		var startTime = $("input[name=searchStartTime]").val();
		var endTime = $("input[name=searchEndTime]").val();

		if((start + startTime) > (end + endTime)){
			alert("조회기간을 확인해주세요.");
			return false;
		}
		$("input[name=searchStartDate]").val(start);
		$("input[name=searchEndDate]").val(end);

		postData["searchStartDate"] = start;
		postData["searchEndDate"] = end;
		
		$("#grid").setGridParam({ postData: postData ,page : "1" }).trigger("reloadGrid");
	});

	
	$("input[name*=search]").keydown(function(key){
		if (key.keyCode == 13){
			$("#btn_search").click();
		}
	});
	
	//검색조건 달력
	$("#startDatepicker").datepicker();
	$("#endDatepicker").datepicker();
	
	$("#btn_search").click();
	
	$("#btn_excel").click(function(event) {
        event.stopPropagation(); // Do not propagate the event.
        // Create an object that will manage to download the file.
        var target = "excelDown" ; // iframe의 name
        //(url,cmd,gridObj,formObject,fileName,merge)
		gridToExcelSubmit2(url_excel,"LIST_GRID_TO_EXCEL",$("#grid"),$("#ajaxForm"),'거래통제 이력');
		return false;
	});	
	
	buttonControl();
	
});
 
</script>
</head>
		<div class="right_box">
			<div class="content_top">
				<ul class="path">
					<li><a href="#">${rmsMenuPath}</a></li>					
				</ul>					
			</div><!-- end content_top -->
			<div class="content_middle" id="content_middle">
				<div class="search_wrap">
					<button type="button" class="cssbtn" id="btn_excel" level="W"><i class="material-icons">table_view</i> <%= localeMessage.getString("button.excel") %></button>
					<button type="button" class="cssbtn" id="btn_search" level="R"><i class="material-icons">search</i> <%= localeMessage.getString("button.search") %></button>
<%-- 				<img src="<c:url value="/img/btn_excel.png"/>"  id="btn_excel"   level="W" />	 --%>
<%-- 				<img src="<c:url value="/img/btn_search.png"/>" alt="" id="btn_search" level="R" />	 --%>
				</div>
				<div class="title"><%= localeMessage.getString("infConHstMan.title") %></div>
				<form id="ajaxForm"  onsubmit="return false;">
				<table class="search_condition" cellspacing=0;>
					<tbody>
						<tr>
							<th style="width:180px;"><%= localeMessage.getString("infConHstMan.date") %></th>
							<td colspan="5">
								<input type="text" name="searchStartYYYYMMDD" id="startDatepicker" readonly="readonly" value="" size="10" style="width:80px; border:1px solid #ebebec;">
								<input type="text" name="searchStartTime" value="" size="8" style="width:70px; border:1px solid #ebebec;">
								~
								<input type="text" name="searchEndYYYYMMDD" value="" id="endDatepicker" size="10" readonly="readonly" style="width:80px; border:1px solid #ebebec;">
								<input type="text" name="searchEndTime" value="" size="8" style="width:70px; border:1px solid #ebebec;">
								<input type="hidden" name="searchStartDate" value="" style="width:0px;">
								<input type="hidden" name="searchEndDate" value="" style="width:0px;">
							</td>
						</tr>
						<tr>
							<th style="width:180px;"><%= localeMessage.getString("infConHstMan.instNm") %></th>
							<td><input type="text" name="searchInstanceName" value="${param.searchInstanceName}"></td>
							<th style="width:180px;"><%= localeMessage.getString("infConHstMan.eaiSvcCd") %></th>
							<td><input type="text" name="searchApiName" value="${param.searchApiName}"></td>
							<th style="width:180px;"><%= localeMessage.getString("infConHstMan.adpGrpNm") %></th>
							<td><input type="text" name="searchAdapterGroupName" value="${param.searchAdapterGroupName}"></td>
						</tr>
					</tbody>
				</table>
				</form>
				<table id="grid" ></table>
				<div id="pager"></div>
				
			</div><!-- end content_middle -->
		</div><!-- end right_box -->				
	</body>	
</html>

